CoinUtils 2.10.15

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Member Functions | Private Attributes | List of all members
CoinRational Class Reference

`#include <CoinRational.hpp>`

Collaboration diagram for CoinRational:
[legend]

## Public Member Functions
long | getDenominator ()
long | getNumerator ()
| CoinRational ()
| CoinRational (long n, long d)
| CoinRational (double val, double maxdelta, long maxdnom)

## Private Member Functions
bool | nearestRational_ (double val, double maxdelta, long maxdnom)

## Private Attributes
long | numerator_
long | denominator_

## Detailed Description

Definition at line 11 of file CoinRational.hpp.

## Constructor & Destructor Documentation

CoinRational::CoinRational | ( |  | ) |
| inline

Definition at line 18 of file CoinRational.hpp.

CoinRational::CoinRational | ( | long | n,
|  | long | d
| ) |  |
| inline

Definition at line 23 of file CoinRational.hpp.

CoinRational::CoinRational | ( | double | val,
|  | double | maxdelta,
|  | long | maxdnom
| ) |  |
| inline

Definition at line 28 of file CoinRational.hpp.

## Member Function Documentation

long CoinRational::getDenominator | ( |  | ) |
| inline

Definition at line 15 of file CoinRational.hpp.

long CoinRational::getNumerator | ( |  | ) |
| inline

Definition at line 16 of file CoinRational.hpp.

bool CoinRational::nearestRational_ | ( | double | val,
|  | double | maxdelta,
|  | long | maxdnom
| ) |  |
| private

## Member Data Documentation

long CoinRational::numerator_
| private

Definition at line 34 of file CoinRational.hpp.

long CoinRational::denominator_
| private

Definition at line 39 of file CoinRational.hpp.

The documentation for this class was generated from the following file:

- /tmp/CoinUtils-2.10.15/CoinUtils/src/CoinRational.hpp